NX二次开发-UFUN设置透明度UF_OBJ_set_translucency

 1     NX9+VS2012
 2
 3     #include <uf.h>
 4     #include <uf_modl.h>
 5     #include <uf_obj.h>
 6
 7
 8     UF_initialize();
 9
10     //创建块
11     UF_FEATURE_SIGN Sign = UF_NULLSIGN;//设置布尔
12     double Corner_pt[3] = {0.0, 0.0, 0.0};//设置原点
13     char *Edge_Len[3] = {"100", "100", "100"};//设置长宽高
14     tag_t BlkTag = NULL_TAG;
15     UF_MODL_create_block1(Sign, Corner_pt, Edge_Len, &BlkTag);
16
17     //特征找体
18     tag_t BodyTag = NULL_TAG;
19     UF_MODL_ask_feat_body (BlkTag,&BodyTag);
20
21     //设置透明度
22     UF_OBJ_set_translucency(BodyTag, 50);
23
24     UF_terminate();

原文地址:https://www.cnblogs.com/nxopen2018/p/10957339.html

时间: 2024-08-30 07:54:04

NX二次开发-UFUN设置透明度UF_OBJ_set_translucency的相关文章

NX二次开发-UFUN设置工程图PNG图片高度UF_DRF_set_image_height

1 #include <uf.h> 2 #include <uf_drf.h> 3 4 5 UF_initialize(); 6 7 //插入PNG 8 char* file_name = "D:\\123.png"; 9 double origin[3] = { 50.0, 50.0, 0.0 }; 10 tag_t ImageTag = NULL_TAG; 11 UF_DRF_create_image_from_file(file_name, NULL_TA

NX二次开发-UFUN设置工程图PNG图片长度UF_DRF_set_image_width

1 #include <uf.h> 2 #include <uf_drf.h> 3 4 5 UF_initialize(); 6 7 //插入PNG 8 char* file_name = "D:\\123.png"; 9 double origin[3] = { 50.0, 50.0, 0.0 }; 10 tag_t ImageTag = NULL_TAG; 11 UF_DRF_create_image_from_file(file_name, NULL_TA

NX二次开发-UFUN设置除工作层之外的所有图层的状态UF_LAYER_set_all_but_work

1 NX11+VS2013 2 3 #include <uf.h> 4 #include <uf_ui.h> 5 #include <uf_layer.h> 6 7 8 UF_initialize(); 9 10 //设置除工作层之外的所有图层的状态. 11 UF_LAYER_set_all_but_work(UF_LAYER_ACTIVE_LAYER); 12 13 UF_terminate(); 14 15 16 Caesar卢尚宇 17 2019年11月13日 原

NX二次开发-UFUN设置当前显示部件UF_PART_set_display_part

1 NX11+VS2013 2 3 #include <uf.h> 4 #include <uf_part.h> 5 #include <uf_assem.h> 6 7 8 UF_initialize(); 9 10 //获取当前工作部件tag 11 tag_t workPart = UF_ASSEM_ask_work_part(); 12 13 //设置当前显示部件 14 UF_PART_set_display_part(workPart); 15 16 UF_ter

NX二次开发-UFUN设置视图边界线显示隐藏UF_DRAW_set_border_display

1 #include <uf.h> 2 #include <uf_draw.h> 3 #include <uf_drf.h> 4 #include <uf_obj.h> 5 6 7 8 UF_initialize(); 9 10 //获得当前图纸页的tag 11 tag_t drawing_tag = NULL_TAG; 12 UF_DRAW_ask_current_drawing(&drawing_tag); 13 14 //找名字获取视图tag

NX二次开发-UFUN和NXOpen结合开发中Tag_t对象与TaggedObject对象转换方法

1 本文通过举四个例子来告诉大家在NX二次开发过程中会经常用到UFUN和NXOpen结合去开发,在UFUN中我们得到的是Tag_t对象,在NXOpen中得到的是TaggedObject对象,这两个是需要进行转换的.本文主要知识点为:TaggedObject->tag_t() , NXOpen::NXObjectManager::Get(BodyTag1) , feature1->JournalIdentifier()的用法. 2 3 NX11+VS2013 4 5 #include <u

NX二次开发-UFUN工程图表格注释设置单元格首选项UF_TABNOT_set_cell_prefs

1 NX9+VS2012 2 3 4 #include <uf.h> 5 #include <uf_tabnot.h> 6 #include <NXOpen/Part.hxx> 7 #include <NXOpen/PartCollection.hxx> 8 #include <NXOpen/Session.hxx> 9 #include <NXOpen/Annotations_TableSectionCollection.hxx>

NX二次开发-UFUN获取显示在NX交互界面的对象UF_OBJ_is_displayable

1 NX9+VS2012 2 3 #include <uf.h> 4 #include <uf_disp.h> 5 #include <uf_obj.h> 6 #include <uf_part.h> 7 8 UF_initialize(); 9 10 //遍历当前显示部件 11 tag_t NextTag = NULL_TAG; 12 int Type1, SubType1; 13 do 14 { 15 NextTag = UF_OBJ_cycle_all

NX二次开发-UFUN工程图表格注释获取某一行的tag函数UF_TABNOT_ask_nth_row

1 NX9+VS2012 2 3 4 #include <uf.h> 5 #include <uf_tabnot.h> 6 #include <NXOpen/Part.hxx> 7 #include <NXOpen/PartCollection.hxx> 8 #include <NXOpen/Session.hxx> 9 #include <NXOpen/Annotations_TableSectionCollection.hxx>